#
# spec file for package nemo-extensions
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _version 6.0.0
Name:           nemo-extensions
Version:        6.4.0
Release:        3.0.4.1.sr20250601
Summary:        Set of extensions for Nemo, the Cinnamon file manager
License:        GPL-2.0-only AND GPL-3.0-only AND GPL-3.0-or-later
URL:            https://github.com/linuxmint/nemo-extensions
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         fix-hwcaps.patch
Patch1:         gnome-installer-removal.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gettext-runtime
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  meld
BuildRequires:  meson
BuildRequires:  mhash-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-docutils
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(cryptui-0.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gpgme)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mbedtls)
BuildRequires:  pkgconfig(nettle)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(xreader-document-1.5)
BuildRequires:  pkgconfig(xreader-view-1.5)

%description
Set of extensions for Nemo, the Cinnamon file manager.

%package -n python3-nemo
Summary:        Python bindings for the Nemo File manager
License:        GPL-2.0-only
Requires:       nemo >= %{_version}
# nemo-python was last used in openSUSE 13.2.
Provides:       nemo-python = %{version}
Obsoletes:      nemo-python < %{version}

Provides:       python3-nemo-devel = %{version}
Obsoletes:      python2-nemo-devel < %{version}
Provides:       python2-nemo = %{version}
Obsoletes:      python2-nemo < %{version}
# python-nemo was last used in openSUSE Leap 42.3.
Provides:       python-nemo = %{version}
Obsoletes:      python-nemo < %{version}

%description -n python3-nemo
Provides:       python-nemo-devel = %{version}
Includes Python bindings for the Nemo Filemanager.

%package -n nemo-extension-audio-tab
Summary:        Audio tag information for Nemo file manager
License:        GPL-3.0-or-later
Requires:       nemo >= %{_version}
BuildArch:      noarch
Requires:       python3-mutagen
Requires:       python3-nemo = %{version}

%description -n nemo-extension-audio-tab
View audio tag information from the file manager's properties tab.

%package -n nemo-extension-compare
Summary:        Context Menu comparison extension for Nemo file manager
License:        GPL-3.0-or-later
Requires:       meld
Requires:       nemo >= %{_version}
# nemo-compare was last used in openSUSE 13.2.
Provides:       nemo-compare = %{version}
Obsoletes:      nemo-compare < %{version}
BuildArch:      noarch
Requires:       python3-gobject
Requires:       python3-nemo = %{version}
Requires:       python3-pyxdg

%description -n nemo-extension-compare
Simple context menu file comparison extension for Nemo, inspired by
the discontinued 'diff-ext' extension. By default it uses 'meld' to
do the comparison and provides "Compare", "Compare to ~/foo/bar" and
"Compare Later" in Nemo context menu. Using the configurator tool
you can choose your favourite compare tool for one-on-one,
three-way and multi-compare situations.

%package -n nemo-extension-dropbox
Summary:        DropBox support for the Nemo Filemanager
License:        GPL-3.0-or-later
Requires:       dropbox
Requires:       nemo >= %{_version}
Supplements:    (dropbox and nemo)
# nemo-dropbox was last used in openSUSE 13.2.
Provides:       nemo-dropbox = %{version}
Obsoletes:      nemo-dropbox < %{version}

%description -n nemo-extension-dropbox
Nemo-dropbox adds DropBox support to the Nemo filemanager.

%package -n nemo-extension-emblems
Summary:        Change a directory or file emblem in Nemo
License:        GPL-3.0-only
Requires:       nemo >= %{_version}
# nemo-emblems was last used in openSUSE 13.2.
Provides:       nemo-emblems = %{version}
Obsoletes:      nemo-emblems < %{version}
BuildArch:      noarch
Requires:       python3-gobject
Requires:       python3-gobject-Gdk

%description -n nemo-extension-emblems
Change a directory or a file emblem in Nemo, the Cinnamon desktop
file manager.

%package -n nemo-extension-fileroller
Summary:        Fileroller support for the Nemo Filemanager
License:        GPL-3.0-or-later
Requires:       file-roller
Requires:       nemo >= %{_version}
Supplements:    (nemo and file-roller)
# nemo-fileroller was last used in openSUSE 13.2.
Provides:       nemo-fileroller = %{version}
Obsoletes:      nemo-fileroller < %{version}

%description -n nemo-extension-fileroller
Nemo-fileroller adds File-roller support to the Nemo file manager.

%package -n nemo-extension-image-converter
Summary:        Nemo extension to mass resize or rotate images
License:        GPL-2.0-or-later
Requires:       ImageMagick
Requires:       nemo >= %{_version}
# nemo-image-converter was last used in openSUSE 13.2.
Provides:       nemo-image-converter = %{version}
Obsoletes:      nemo-image-converter < %{version}

%description -n nemo-extension-image-converter
This package adds a "Resize Images..." menu item to the context
menu of all images. This opens a dialog where you set the desired
image size and file name. A click on "Resize" finally resizes the
image(s) using ImageMagick's convert tool.

%package -n nemo-extension-pastebin
Summary:        Pastebin extension for Nemo file manager
License:        GPL-2.0-or-later
Requires:       nemo >= %{_version}
# nemo-pastebin was last used in openSUSE 13.2.
Provides:       nemo-pastebin = %{version}
Obsoletes:      nemo-pastebin < %{version}
BuildArch:      noarch
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
Requires:       python3-pyxdg

%description -n nemo-extension-pastebin
nemo-pastebin is an extension for the Nemo file manager, which
allows users to send files to pastebins just a right-click away.

%package -n nemo-extension-preview
Summary:        A quick previewer for Nemo file manager
License:        GPL-2.0-or-later
Group:          System/GUI/Other
Requires:       gstreamer-plugins-good
Requires:       nemo >= %{_version}
# nemo-preview was last used in openSUSE 13.2.
Provides:       nemo-extension-preview-devel = %{version}
Provides:       nemo-preview = %{version}
Obsoletes:      nemo-preview < %{version}

%description -n nemo-extension-preview
This is NemoPreview, a quick previewer for Nemo, the Cinnamon
desktop file manager.

%package -n nemo-extension-repairer
Summary:        Nemo extension for filename encoding repair
License:        GPL-2.0-or-later
Requires:       nemo >= %{_version}
# nemo-repairer was last used in openSUSE 13.2.
Provides:       nemo-repairer = %{version}
Obsoletes:      nemo-repairer < %{version}

%description -n nemo-extension-repairer
This is a Nemo extension which repairs filename which uses wrong
encoding in Nemo. This extension provides the context menu for any
file whose filename uses wrong encoding, so that you cannot read the
filename in Nemo.

You can find a candidate for filename in context menu or submenu.
This extension also provides a decoded name for URL encoded filename.

%package -n nemo-extension-seahorse
Summary:        OpenPGP encryption/decryption extension for Nemo file manager
License:        GPL-2.0-or-later
Requires:       nautilus-extension-seahorse >= 3.0
Requires:       nemo >= %{_version}
Supplements:    (nemo and seahorse)
# nemo-seahorse was last used in openSUSE 13.2.
Provides:       nemo-seahorse = %{version}
Obsoletes:      nemo-seahorse < %{version}

%description -n nemo-extension-seahorse
seahorse nemo is an extension for nemo which allows encryption
and decryption of OpenPGP files using GnuPG.

%package -n nemo-extension-share
Summary:        Samba share extension for Nemo file manager
License:        GPL-2.0-or-later
Requires:       nemo >= %{_version}
Recommends:     samba
Supplements:    (nemo and samba)
# nemo-share was last used in openSUSE 13.2.
Provides:       nemo-share = %{version}
Obsoletes:      nemo-share < %{version}

%description -n nemo-extension-share
Nemo Share allows you to quickly share a folder from the Cinnamon
Nemo file manager without requiring root access.

%package -n nemo-extension-terminal
Summary:        Nemo extension to enable an embedded terminal
License:        GPL-3.0-or-later
Requires:       nemo >= %{_version}
# nemo-terminal was last used in openSUSE 13.2.
Provides:       nemo-terminal = %{version}
Obsoletes:      nemo-terminal < %{version}
BuildArch:      noarch
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
Requires:       python3-nemo = %{version}

%description -n nemo-extension-terminal
Nemo Terminal is an embedded terminal for Nemo, the Cinnamon file
manager. It embeds a terminal pane into Nemo that is accessible by
hotkey (default F4) and automatically follows the currently active
directory in Nemo.

%prep
%autosetup -p1

%build
pushd nemo-pastebin
export CFLAGS="%{optflags} -fcommon"
export CXXFLAGS="%{optflags} -fcommon"
%py3_build
popd

pushd nemo-fileroller
%meson
%meson_build
popd

pushd nemo-python
%meson
%meson_build
popd

pushd nemo-terminal
%py3_build
popd

pushd nemo-preview
%meson
%meson_build
popd

pushd nemo-emblems
%py3_build
popd

pushd nemo-image-converter
%meson
%meson_build
popd

pushd nemo-compare
%py3_build
popd

pushd nemo-dropbox
%meson
%meson_build
popd

pushd nemo-repairer
%meson
%meson_build
popd

pushd nemo-seahorse
%meson
%meson_build
popd

pushd nemo-share
%meson
%meson_build
popd

pushd nemo-audio-tab
%py3_build
popd

%install
pushd nemo-pastebin
%py3_install
popd

pushd nemo-fileroller
%meson_install
popd

pushd nemo-python
%meson_install
popd

pushd nemo-terminal
%py3_install
popd

pushd nemo-preview
%meson_install
popd

pushd nemo-emblems
%py3_install
popd

pushd nemo-image-converter
%meson_install
popd

pushd nemo-compare
%py3_install
popd

pushd nemo-dropbox
%meson_install
popd

pushd nemo-repairer
%meson_install
popd

pushd nemo-seahorse
%meson_install
popd

pushd nemo-share
%meson_install
popd

pushd nemo-audio-tab
%py3_install
popd

find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print

%fdupes %{buildroot}
chmod 744 %{buildroot}%{_datadir}/nemo-compare/utils.py
chmod 744 %{buildroot}%{_datadir}/nemo-python/extensions/nemo-audio-tab.py
chmod 744 %{buildroot}%{_datadir}/nemo-python/extensions/nemo-compare.py

# Manually let install samba from our package manager.
rm -r %{buildroot}%{_datadir}/nemo-share/install-samba

# Already included.
rm -r %{buildroot}%{_datadir}/licenses/nemo-dropbox/COPYING

%python_compileall

%ldconfig_scriptlets -n python3-nemo

%ldconfig_scriptlets -n nemo-extension-dropbox

%ldconfig_scriptlets -n nemo-extension-fileroller

%ldconfig_scriptlets -n nemo-extension-image-converter

%ldconfig_scriptlets -n nemo-extension-preview

%ldconfig_scriptlets -n nemo-extension-seahorse

%ldconfig_scriptlets -n nemo-extension-repairer

%ldconfig_scriptlets -n nemo-extension-share

%files -n python3-nemo
%license nemo-python/COPYING
%doc nemo-python/AUTHORS nemo-python/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_libdir}/pkgconfig/nemo-python.pc
%dir %{_datadir}/nemo-python/
%dir %{_datadir}/nemo-python/extensions/

%files -n nemo-extension-audio-tab
%license nemo-audio-tab/COPYING*
%doc nemo-audio-tab/debian/changelog
%{_datadir}/nemo-python/extensions/nemo-audio-tab.py*
%dir %{_datadir}/nemo-audio-tab
%{_datadir}/nemo-audio-tab/nemo-audio-tab.glade
%{python3_sitelib}/nemo_audio_tab-%{version}-py?.*.egg-info

%files -n nemo-extension-compare
%license nemo-compare/nemo-compare/COPYING*
%doc nemo-compare/debian/changelog
%{_bindir}/nemo-compare-preferences
%{_datadir}/nemo-compare/
%{python3_sitelib}/nemo_compare-%{version}-py?.*.egg-info
%{_datadir}/nemo-python/extensions/nemo-compare.py

%files -n nemo-extension-dropbox
%license nemo-dropbox/COPYING
%doc nemo-dropbox/AUTHORS nemo-dropbox/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-dropbox.so
%{_datadir}/nemo-dropbox/
%{_datadir}/icons/hicolor/symbolic/apps/nemo-dropbox-symbolic.svg

%files -n nemo-extension-emblems
%license nemo-emblems/COPYING*
%doc nemo-emblems/debian/changelog
%{_datadir}/nemo-python/extensions/nemo-emblems.py*
%{python3_sitelib}/nemo_emblems-%{version}-py?.*.egg-info

%files -n nemo-extension-fileroller
%license nemo-fileroller/COPYING
%doc nemo-fileroller/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-extension-image-converter
%license nemo-image-converter/COPYING
%doc nemo-image-converter/AUTHORS nemo-image-converter/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%files -n nemo-extension-pastebin
%license nemo-pastebin/COPYING
%doc nemo-pastebin/debian/changelog
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-pastebin/
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{_datadir}/icons/hicolor/*/apps/nemo-pastebin.png
%{_datadir}/icons/hicolor/scalable/apps/nemo-pastebin.svg
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{python3_sitelib}/nemo_pastebin-%{version}-py?.*.egg-info

%files -n nemo-extension-preview
%license nemo-preview/COPYING
%doc nemo-preview/AUTHORS nemo-preview/debian/changelog
%{_bindir}/nemo-preview
%{_libexecdir}/nemo-preview-start
%{_libdir}/nemo-preview/
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service

%files -n nemo-extension-repairer
%license nemo-repairer/COPYING
%doc nemo-repairer/AUTHORS nemo-repairer/README
%{_libdir}/nemo/extensions-3.0/libnemo-filename-repairer.so
%{_bindir}/nemo-filename-repairer
%{_datadir}/nemo-filename-repairer/

%files -n nemo-extension-seahorse
%license nemo-seahorse/COPYING
%doc nemo-seahorse/debian/changelog
%{_bindir}/nemo-seahorse-tool
%{_libdir}/nemo/extensions-3.0/libnemo-seahorse.so
#%%{_datadir}/applications/nemo-seahorse-pgp-*.desktop
%{_datadir}/glib-2.0/schemas/org.nemo.plugins.seahorse.*.xml
%{_mandir}/man?/nemo-seahorse-tool.?%{?ext_man}
%dir %{_datadir}/nemo-seahorse
%{_datadir}/nemo-seahorse/ui

%files -n nemo-extension-share
%license nemo-share/COPYING
%doc nemo-share/AUTHORS nemo-share/debian/changelog
%{_libdir}/nemo/extensions-3.0/libnemo-share.so
%{_datadir}/nemo-share/
%{_datadir}/polkit-1/actions/org.nemo.share.samba_install.policy

%files -n nemo-extension-terminal
%license nemo-terminal/COPYING
%doc nemo-terminal/AUTHORS nemo-terminal/debian/changelog
%{_bindir}/nemo-terminal-prefs
%{_datadir}/nemo-terminal/
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml
%{python3_sitelib}/nemo_terminal-%{version}-py?.*.egg-info

%changelog
* Sat Jun 14 2025 Andreas Stieger <andreas.stieger@gmx.de>
- fix nemo-exensions-image-converter file misplaced into the
  nemo-extension-seahorse package
* Wed Jun  4 2025 Bjørn Lie <bjorn.lie@gmail.com>
- Drop unneeded gnome-common BuildRequires.
* Sun Jan 12 2025 Marguerite Su <i@marguerite.su>
- update to 6.4.0
  * nemo-share: switch to aptkit
- add patch: gnome-installer-removal.patch
* Wed Aug 21 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 6.2.0:
  * Update pypdf in nemo-media-columns
  * Fix python NameError: '_' is not defined
  * cover-art: fix compilation error
- update to 6.0.1:
  * nemo-media-columns.py: Fix translations for column names.
  * nemo-preview: remove po/ and fix gettext domain
  * nemo-image-converter, nemo-pastebin, nemo-seahorse, nemo-emblems
    nemo-compare, nemo-repair remove po/
  * makepot: Remove the old potfile first.
  * makepot: Fix scanning nemo-pastebin files in src/
  * Fix nemo-dropbox build
  * python-nemo: provide nemo-python pkg name
  * nemo-share: Fix incorrect gettext domain
- remove support for older versions of Leap < 1500
- usage of ldconfig_scriplets
* Tue Dec 12 2023 Daniel Garcia <daniel.garcia@suse.com>
- Update fix-hwcaps.patch, needed to work correctly with
  libpython3_11-1_0-x86-64-v3
* Sat Dec  2 2023 Marguerite Su <i@marguerite.su>
- update to version 6.0.0
  * build and example fixes
- drop nemo-share-prevent-privilege-escalation.patch, upstreamed
- drop FTBFS-setuptools-61.0.patch, that extension disappeared
- refresh fix-hwcaps.patch
* Tue Jul 11 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add fix-hwcaps.patch to fix the issue with Segmentation
  fault with libpython3_11-1_0-x86-64-v3
  (bsc#1212482)
* Mon Oct  3 2022 Marguerite Su <i@marguerite.su>
- add FTBFS-setuptools-61.0.patch
* Wed May 18 2022 Steve Kowalik <steven.kowalik@suse.com>
- Prepare for Python 3.10 by correcting sitelib install paths.
* Thu Nov 18 2021 andy great <andythe_great@pm.me>
- Update to version 5.2.0.
  * No changelog found.
* Tue Aug  3 2021 Steve Kowalik <steven.kowalik@suse.com>
- Remove unneeded Requires on python-gtk for -compare
* Mon May 31 2021 andy great <andythe_great@pm.me>
- Update to version 5.0.0.
  * No changelog found.
- Remove nemo-seahorse_no-nautilus-conflicts.patch, not using
  makefile anymore.
- Remove nemo-gtkhash_openssl-1.1.patch, gtkhash removed.
- Remove nemo-dropbox_no-dropbox-bin.patch, no using makefile, not
  applicable.
- Remove nemo-gtkhash, remove from upstream.
- Remove cmake.
* Sun Dec  6 2020 andy great <andythe_great@pm.me>
- Update to version 4.8.0.
  * support for tiff images
  * Port to meson
  * add PDF pages count column to nemo-media-columns
  * Update nemo-media-columns.py
  * Update nemo-media-columns.py: Avoid a NameError
  * nemo-media-columns.py: Support favorite and recent uris by
    working
  * Add support for Zstandard archives
  * Update the URL in README
  * l10n: Update POT
* Wed Sep 23 2020 andy great <andythe_great@pm.me>
- Update to version 4.6.0.
  * Remove autogenerated files from tree
  * nemo-python: be compatible with python 3.8
  * nemo-dropbox: PEP 394 support
  * nemo-preview: Don't override the window's gravity, and remove
    an icon lookup flag that was throwing warnings (it's
    incompatible with the function it's used in).
  * nemo-dropbox: Get rid of stuff that we haven't been using,
    because the dropbox package provides it all now.
  * nemo-seahorse: Remove build-dependency on libgnome-keyring
  * Add a build-order file needed by mint-build to install
    nemo-python before testing the other subprojects.
  * Fix nemo-python fails to compile with gcc-10 (#351)
  * Use mint-common for installing samba, and hide the install
    button.
  * nemo-pastebin: Fix shebang
  * l10n: Update makepot
- Build extensions.
  * nemo-dropbox
  * nemo-repairer
  * nemo-share
  * nemo-seahorse
  * nemo-audio-tab
  * nemo-gtkhash - Did not build it, no clue why it make nemo
    segfault. gh#linuxmint/nemo-extensions#378
- Rebase nemo-dropbox_no-dropbox-bin.patch
- Rebase nemo-seahorse_no-nautilus-conflicts.patch.
* Tue Jun  2 2020 Matej Cepl <mcepl@suse.com>
- Enable -fcommon which is not default with GCC10.
* Thu Feb 27 2020 Matej Cepl <mcepl@suse.com>
- Update to the version 4.4.0:
  - nemo-share: Fix string which should not be translated
  - nemo-python-object.c: Fix a memory leak PyObject_GetAttrString()
  - bump-versions: Add support for meson
  - nemo-image-converter: Fix wrong icon names
  - nemo-dropbox: Minor README change (#333)
  - l10n: update msgids in nemo-compare
  - nemo-share: Make it explicit that firewall rules are added
  - l10: Update POT
  - nemo-fileroller.c: Remove check for obsolete settings key.
- Do not support Python 2 anymore.
* Mon Jul  1 2019 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 4.2.0:
  * l10n: Update POT
  * Add import version for GtkSource (#323)
  * Update nemo-terminal.py ... (#309)
  * nemo-share: Check the file permissions for the full path
  * nemo-share: Warn when the share is within an encrypted home directory
  * nemo-share: Improve warnings handling
  * nemo-share: Add UFW rules for Samba when setting it up
  * nemo-share: Remove trailing spaces
  * nemo-terminal: add l10n support (#303)
  * nemo-python: Fix some memory leaks revealed by valgrind in nemo
  * nemo-emblems 4.0.2
  * emblems: l10n fix (#302)
* Fri Mar 15 2019 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 4.0.0:
  * nemo-python: Fix some memory leaks revealed by valgrind in nemo
  * nemo-terminal: add l10n support
  * nemo-terminal: Fix feed_child function for yet another introspection
  * nemo-seahorse: Allow building against gnupg 2.2
  * emblems: l10n fix
  * fix nemo-emblems not working (#300)
  * nemo-terminal: Fix default terminal height when terminal position
- Rebase nemo-seahorse_no-nautilus-conflicts.patch
- Rebase nemo-dropbox_no-dropbox-bin.patch
- Remove patch nemo-seahorse_gpg-2.2.patch no longer needed
- Rebase nemo-share-prevent-privilege-escalation.patch
* Mon Aug  6 2018 sor.alexei@meowr.ru
- Add nemo-share-prevent-privilege-escalation.patch: Prevent
  unprivileged users from adding other users to sambashare
  (commit a831e7b, bsc#1084703).
* Tue May  8 2018 sor.alexei@meowr.ru
- Update to version 3.8.0 (changes since 3.6.0):
  * nemo-preview: Update versioning of xreader libs and
    introspection.
  * Remove rabbitvcs extension.
    The rabbitvcs people are willing to maintain this themselves,
    further improvements should be directed there.
  * nemo-preview: Fix a gtk warning.
  * nemo-preview: ES6 standard: Any symbols to be exported from a
    module must be defined with "var".
  * nemo-python: Improve gi.require_version() adding.
  * nemo-compare: Change from python to python2 in shebangs.
  * nemo-media-columns.py: Use a valid enum value, SUCCESS does not
    exist.
  * nemo-python: Fill info provider handles with a dummy struct to
    ensure we have a unique pointer to pass around.
  * nemo-media-columns: Use a dictionary keyed to the handle for
    tracking source ids.
  * nemo-media-columns: Move from python-imaging to python-pil.
  * nemo-python: Fix deprecated gnome-common macros/variables.
  * nemo-fileroller: Use symbolic icons.
  * nemo-dropbox: Add a dropbox symbolic icon.
  * nemo-preview: Switch from Apache OpenOffice to LibreOffice.
  * nemo-audio-tab: Fixes and optimisations.
  * nemo-media-columns: Add track padding.
  * nemo-preview: Rename evince.js to xreader.js.
  * Update translations.
- Remove nemo-preview_xreader-versioning.patch: fixed upstream.
- Rebase nemo-dropbox_no-dropbox-bin.patch.
- Drop the nemo-extension-rabbitvcs extension.
- Prepare for Meson.
* Fri Dec 29 2017 sor.alexei@meowr.ru
- Update pkgconfig's xreader version for 1.6.2+.
- Add nemo-preview_xreader-versioning.patch: update versioning of
  xreader libs and introspection in nemo-preview (commit 52767dc).
* Tue Dec  5 2017 cfarrell@suse.com
- Add nemo-gtkhash_openssl-1.1.patch: Add basic OpenSSL 1.1+
  compatibility in Nemo-GtkHash.
* Sat Oct 28 2017 sor.alexei@meowr.ru
- Update to version 3.6.0 (changes since 3.4.0):
  * nemo-preview: Don't ship another copy of format.js.
  * nemo-dropbox: Fix an error in the Makefile.
  * nemo-preview: Specify GObject Introspection versions.
  * nemo-preview: Fix schema_name not defined and switch to xed.
  * nemo-rabbitvcs: Specify nemo import version.
  * Fix nemo-seahorse - update tool from upstream, rename files and
    schemas to allow concurrent installation with seahorse-nautilus,
    move gsettings schemas to org.nemo.plugins.seahorse.*
  * nemo-share: Detect and fix samba and group membership problem
    when attempting to modify file sharing properties.
  * image: Add support for GIF animations.
  * nemo-preview: port to xreader.
  * nemo-compare, nemo-pastebin: Remove menu entry for config tool,
    provide the launcher through Nemo.
  * nemo-media-columns: Provide file info asynchronously.
  * nemo-media-columns: Cache info and serve it synchronously when
    possible.
  * nemo-media-columns: Delete file info after 30 sec.
  * Simplify nemo-media-columns to behave as expected by the fixed
    nemo info provider apparatus.
  * nemo-python: nemo-python-object.c: We must expect a return
    value from PyObject_CallMethod() or else it silently fails
    against the provider object and cancel_update never gets
    called.
  * media columns: Don't use the handle for idle id storage, use
    the class.
  * Fix the post-samba-install message for nemo-share - smbd will
    not start on just a logout-in.
  * nemo-gtkhash: Add mbed TLS 2.x support.
  * Move translations to cinnamon-translations.
- Rebase nemo-dropbox_no-dropbox-bin.patch.
- Remove nemo-gtkhash_mbedtls-2.x.patch: merged upstream.
* Sun Sep 10 2017 sor.alexei@meowr.ru
- Add nemo-seahorse_gpg-2.2.patch: Add GPG 2.2 to accepted versions
  in nemo-seahorse.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 3.4.0 (changes since 3.2.0):
  * Rename configure.in to configure.ac.
  * nemo-fileroller: Use a triplet-prefixed pkg-config for cross
    compilation.
  * nemo-compare, nemo-emblems: Fix some errors.
  * nemo-audio-tab, nemo-fileroller, nemo-media-columns,
    nemo-pastebin, nemo-rabbitvcs, nemo-terminal: Remove _ from
    get_name_and_desc.
  * nemo-emblems: Don't change the mtime when changing a file's
    emblems.
  * nemo-preview: Fix some GTK+ warnings.
  * nemo-preview: Fix assignment to undeclared variables warning.
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 3.2.0 (changes since 3.0.0):
  * seahorse: Allow building with gnupg 2.1
    (gh#linuxmint/nemo-extensions#159).
  * emblems: Fix a wrong version in setup.py
  * nemo-terminal: Add VTE 2.91 support.
  * nemo-preview: Fix a deadlock when closing the window, change
    the key.
  * nemo-preview, image.js: Apply embedded orientation if it exists.
  * nemo-preview: Port to ClutterGst 3.0 (restores video playback).
  * image-converter: Add more resize sizes.
  * nemo-terminal: Clear 'cd' line after changing directory.
  * Add support for Nemo's plugin manager.
  * nemo-pastebin: Add gi.require_version().
  * nemo-preview, mainWindow.js: move to current desktop before
    setting a transient parent.
  * nemo-preview, audio: Fix missing import.
  * nemo-preview: Fix EXIF rotation.
  * nemo-preview: Fix invalid CSS values
    (gh#linuxmint/nemo-extensions#189).
  * Update translations.
- Remove nemo-seahorse_gpg-2.1.patch, nemo-terminal_vte-2.91.patch:
  fixed upstream.
* Wed Oct  5 2016 sor.alexei@meowr.ru
- Add nemo-gtkhash_mbedtls-2.x.patch: Add mbed TLS 2.x+ support.
- Enable gcrypt in nemo-gtkhash for openSUSE Leap 42.x.
- Separate locales into nemo-extension-compare-lang,
  nemo-extension-emblems-lang, nemo-extension-gtkhash-lang,
  nemo-extension-image-converter-lang, nemo-extension-preview-lang,
  nemo-extension-pastebin-lang, nemo-extension-repairer-lang,
  nemo-extension-seahorse-lang, nemo-extension-share-lang.
* Wed May  4 2016 sor.alexei@meowr.ru
- nemo-extension-{emblems,pastebin,terminal}: add a missing
  python-gobject-Gdk dependency.
* Mon Apr 25 2016 sor.alexei@meowr.ru
- Update to version 3.0.0 (changes since 2.8.0):
  * nemo-share: Purge useless samba auto-installation code.
  * nemo-terminal: Change default shell from bash to user's shell.
  * nemo-terminal: Change key event from release to press.
  * nemo-compare, nemo-emblems, nemo-share: Update translations.
* Thu Jan 14 2016 sor.alexei@meowr.ru
- Remove nemo-extension-media-columns package completely:
  extension slows Nemo down considerably, both with and without
  nemo-media-columns_use-exiftool.patch.
* Sun Dec 13 2015 sor.alexei@meowr.ru
- Add nemo-media-columns_use-exiftool.patch: use exiftool as exiv2
  shows some instability under nemo-python (boo#958867).
- Add nemo-seahorse_no-nautilus-conflicts.patch: do not install
  files that conflict with nautilus-extension-seahorse.
- nemo-extension-media-columns to depend on exiftool instead of
  python-pyexiv2.
- nemo-extension-seahorse to depend on nautilus-extension-seahorse.
- Fix srcpackage licence to "GPL-2.0 and GPL-3.0 and GPL-3.0+".
* Wed Oct 21 2015 sor.alexei@meowr.ru
- Update to 2.8.0.
- Build and install sections generalisation.
- Rename every extension package from nemo-foo to nemo-extension-foo.
- Add nemo-extension-audio-tab package.
- Remove nemo-extensions metapackage.
- Add nemo-dropbox_no-dropbox-bin.patch: strip dropbox binary
  installation, and make nemo-extension-dropbox depend on dropbox.
- Add nemo-terminal_vte-2.91.patch.
- Use pygobject-3.0 instead of pygobject-2.0.
- Generate Python bytecode.
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.0
- Added patch for newer gpg versions than 2.0
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
  * add new extensions: emblems, gtkhash, image-converter
    repairer, terminal
* Tue Nov 26 2013 johann.luce@wanadoo.fr
- add nemo-dropbox and nemo-preview in 2.0.1 version
* Mon Oct 28 2013 i@marguerite.su
- initial version 2.0.0
  * a meta package
